Mailinglist Archive: opensuse-factory (138 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180629 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180629

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
csmash
krita (4.0.3 -> 4.0.4)
libqt5-qttranslations (5.11.0 -> 5.11.1)
libqt5-qtvirtualkeyboard (5.11.0 -> 5.11.1)
mirror
osc
pcfclock
perl-Class-Load (0.24 -> 0.25)
perl-Net-Netmask (1.9101 -> 1.9103)
plasma-browser-integration (5.12.90 -> 5.13.2)
spec-cleaner (1.0.8 -> 1.0.9)
sunpinyin
yast2-dns-server (4.0.2 -> 4.0.3)
yast2-instserver (4.0.2 -> 4.0.3)
yast2-support (3.2.0 -> 4.0.0)

=== Details ===

==== csmash ====

- build with RPM_OPT_FLAGS

==== krita ====
Version update (4.0.3 -> 4.0.4)
Subpackages: krita-lang

- Update to 4.0.4:
* See https://krita.org/en/item/krita-4-0-4-released/
* Fix artefacts when painting with a pixel brush on a
transparency mask (kde#394438)
* Fix a race condition when using generator layers
* Fix a crash when editing a transform mask (kde#395224)
* Add preset memory to the Ten Brushes Script, to make switching
back and forward between brush presets more smooth
* Improve the performance of the stroke layer style (kde#361130,
kde#390985)
* Do not allow nesting of .kra files: using a .kra file with
embedded file layers as a file layer would break on loading
* Keep the alpha channel when applying the threshold filter
(kde#394235)
* Do not use the name of the bundle file as a tag automatically
(kde#394345)
* Fix selecting colors when using the python palette docker
script (kde#394705)
* Restore the last used colors on starting Krita, not when
creating a new view (kde#394816)
* Allow creating a layer group if the currently selected node is
a mask (kde#394832)
* Show the correct opacity in the segment gradient editor
(kde#394887)
* Remove the obsolete shortcuts for the old text and artistic
text tool (kde#393508)
* Allow setting the multibrush angle in fractions
* Improve performance of the OpenGL canvas, especially on macOS
* Fix painting of pass-through group layers in isolated mode
(kde#394437)
* Improve performance of loading OpenEXR files
* Autosaving will now happen even if Krita is kept very busy
* Improve loading of the default language
* Fix color picking when double-clicking (kde#394396)
* Fix inconsistent frame numbering when calling FFMpeg
(kde#389045)
* Fix accepting touch events with recent Qt versions
* Fix integration with the Breeze theme: Krita no longer tries
to create widgets in threads (kde#392190)
* Fix the batch mode flag when loading images from Python
- Don't recommend create-resources anymore. It's unmaintained and
Krita doesn't use it anymore.

==== libqt5-qttranslations ====
Version update (5.11.0 -> 5.11.1)

- Update to 5.11.1
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qttranslations.git/plain/dist/changes-5.11.1/?h=v5.11.1

==== libqt5-qtvirtualkeyboard ====
Version update (5.11.0 -> 5.11.1)

- Update to 5.11.1
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtvirtualkeyboard.git/plain/dist/changes-5.11.1/?h=v5.11.1

==== mirror ====

- Make sure to install license using %license macro
- minor patch to remove warning: dump -> CORE::dump
* mirror-dump.patch

==== osc ====

- add Requires: python2 for Tumbleweed.
Otherwise just python-base is installed which does not contain ssl.py
[bnc#1097996]
- removed duplicate entry in appimage.yml to prevent double builds

==== pcfclock ====

- Use %{?linux_make_arch} when building kernel modules (boo#1098050).

==== perl-Class-Load ====
Version update (0.24 -> 0.25)

- updated to 0.25
see /usr/share/doc/packages/perl-Class-Load/Changes
0.25 2018-06-10 20:55:10Z
- merged required and recommended Data::OptList version prerequisite, to
work around CPAN.pm bug (RT#123447)

==== perl-Net-Netmask ====
Version update (1.9101 -> 1.9103)

- updated to 1.9103
see /usr/share/doc/packages/perl-Net-Netmask/Changes
1.9103 2018-06-18
- Use ASCII-like regex matching (Github #4)
- Convert tests to Test2
- Pass perlcritic tests
- Pass Kwalitee tests
- Add contributor information
- Add protocol() method (just a stub today that will always return
'IPv4')
1.9102 2018-06-18
- DEV release only
- Contains most changes that made it to 1.9103.

==== plasma-browser-integration ====
Version update (5.12.90 -> 5.13.2)
Subpackages: plasma-browser-integration-lang

- Update to 5.13.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.2.php
- Changes since 5.13.1:
* None
- Update to 5.13.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.1.php
- Changes since 5.13.0:
* None
- Recommend lang package
- Update to 5.13.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.0.php
- Changes since 5.12.90:
* Bump version number of extension in preparation for Plasma 5.13
* Handle when the added node itself is audio/video
* Don't bother loading on non-supported platforms
* [Installation Reminder] Watch for service registration and hide
* Respect libdir for Firefox native messaging host manifest
* Use incognito tab icon only as a fallback
* Filter out incognito tabs and media controls on Firefox
* Revert "Install mozilla native messaging manifest to either /usr/lib or
/usr/lib64 based on architecture"
* Install mozilla native messaging manifest to either /usr/lib or /usr/lib64
based on architecture
* Fix options page look on Firefox (kde#394369)
* Handle children of added nodes as well

==== spec-cleaner ====
Version update (1.0.8 -> 1.0.9)

- Version uppdate to 1.0.9 bsc#1099674:
* Move some checks from rpmlint to be autochecked
* Dropped support of py2
* Fixed error reported on parsing non-utf spec-file
* Leap 15.0 used as base for conversions to pkgconfig/etc.

==== sunpinyin ====
Subpackages: libsunpinyin3 sunpinyin-data

- sunpinyin-aarch64.patch: Remove obsolete patch

==== yast2-dns-server ====
Version update (4.0.2 -> 4.0.3)

- Added additional searchkeys to desktop file (fate#321043).
- 4.0.3

==== yast2-instserver ====
Version update (4.0.2 -> 4.0.3)

- Added additional searchkeys to desktop file (fate#321043).
- 4.0.3

==== yast2-support ====
Version update (3.2.0 -> 4.0.0)

- Added additional searchkeys to desktop file (fate#321043).
- 4.0.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages